ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceDeviceType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType
          - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceDeviceType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class VoiceDeviceType
      extends DeviceType

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

      `MGMT_TYPE_BGRADIUS, MGMT_TYPE_OTHER, MGMT_TYPE_SNMP, MGMT_TYPE_SSH, MGMT_TYPE_TELNET`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDeviceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDeviceManagerClass()`
    `java.lang.String` | `getProtocolHandlerClass()`
    `java.lang.String` | `getSaHandlerClass()`
    `void` | `setDeviceManagerClass(java.lang.String deviceManagerClass)`
    `void` | `setProtocolHandlerClass(java.lang.String protocolHandlerClass)`
    `void` | `setSaHandlerClass(java.lang.String saHandlerClass)`

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

      `getActiveConfigId, getComment, getConfig, getDeviceEntitySpecId, getManagmentType, getServiceActivationType, isSource, setActiveConfigId, setComment, setConfig, setDeviceEntitySpecId, setManagmentType, setServiceActivationType, setSource`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VoiceDeviceType

          public VoiceDeviceType()

  - ### Method Detail

    - #### getSaHandlerClass

          public java.lang.String getSaHandlerClass()

      Overrides:
        `getSaHandlerClass` in class `DeviceType`

    - #### setSaHandlerClass

          public void setSaHandlerClass(java.lang.String saHandlerClass)

      Overrides:
        `setSaHandlerClass` in class `DeviceType`

    - #### getProtocolHandlerClass

          public java.lang.String getProtocolHandlerClass()

      Overrides:
        `getProtocolHandlerClass` in class `DeviceType`

    - #### setProtocolHandlerClass

          public void setProtocolHandlerClass(java.lang.String protocolHandlerClass)

      Overrides:
        `setProtocolHandlerClass` in class `DeviceType`

    - #### getDeviceManagerClass

          public java.lang.String getDeviceManagerClass()

      Overrides:
        `getDeviceManagerClass` in class `DeviceType`

    - #### setDeviceManagerClass

          public void setDeviceManagerClass(java.lang.String deviceManagerClass)

      Overrides:
        `setDeviceManagerClass` in class `DeviceType`